=== debian/changelog ===
kbd (2.0.4-2ubuntu1) bionic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Add setfont, kbd_mode, and loadkeys to initramfs for console-setup.
    - Use ckbcomp to get the keyboard layout if other data files are not
      available.
    - Change loadkeys to find any console not in raw mode when invoked
      without an explicit console parameter, in case the foreground console
      is in raw mode.
    - Simplify maintainer scripts for conffile removal, using new features
      in debhelper 8.1.0.
    - Add setvtrgb to kbd-udeb.
    - Fix incorrect keymap sanity check in loadkeys_ckbcomp.diff.
    - debian/control: Depend on console-setup | console-setup-mini, since
      console-setup-mini also Depends on kbd now through console-setup-linux.
    - Added initramfs hook to have setfont/loadkeys available in initramfs.
    - debian/patches/loadkeys_find_usable_console.diff: fix wrong type argument
      to ioctl(..., KDGKBMODE), which causes consoles to not be correctly
      detected on 64-bit archs.  LP: #1621824.
    - debian/patches/loadkeys_ckbcomp.diff: Include xmalloc.h to avoid implicit
      declaration causing crashes with newer gcc. LP: #1631504.
 
 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 22 Jan 2018 14:49:48 +0100

kbd (2.0.4-2) unstable; urgency=medium

  * Drop obsolete lsb-base dependency
  * Bump to debhelper compat 10 (automatic dh-autoreconf, etc)
  * Bump Standards-Version to 4.1.0
  * Remove myself from uploaders

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 15 Sep 2017 10:33:29 +0200

kbd (2.0.4-1) unstable; urgency=medium

  * debian/gbp.conf: Add import-orig upstream-vcs-tag setting
  * debian/watch: look for .xz tarballs
  * New upstream release.
  * Update patches to apply again
  * Revert "Add debian/patches/0001-add-configure-flag-to-disable-tests.patch"
    - now part of upstream release.
  * debian/gbp.conf: switch deprecated section name gbp-pq to pq
  * Bump Standards-Version to 4.0.0
  * Use recommended https urls for Vcs-* fields

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 11 Jul 2017 02:43:37 +0200

kbd (2.0.3-2ubuntu3) zesty; urgency=medium

  * debian/patches/loadkeys_ckbcomp.diff: Include xmalloc.h to avoid implicit
    declaration causing crashes with newer gcc. LP: #1631504.

 -- Jason Conti <jason.conti@gmail.com>  Thu, 13 Oct 2016 13:51:28 -0400

kbd (2.0.3-2ubuntu2) yakkety; urgency=medium

  * debian/patches/loadkeys_find_usable_console.diff: fix wrong type argument
    to ioctl(..., KDGKBMODE), which causes consoles to not be correctly
    detected on 64-bit archs.  LP: #1621824.    

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 20 Sep 2016 10:53:30 -0700

kbd (2.0.3-2ubuntu1) yakkety; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Add setfont, kbd_mode, and loadkeys to initramfs for console-setup.
    - Use ckbcomp to get the keyboard layout if other data files are not
      available.
    - Change loadkeys to find any console not in raw mode when invoked
      without an explicit console parameter, in case the foreground console
      is in raw mode.
    - Simplify maintainer scripts for conffile removal, using new features
      in debhelper 8.1.0.
    - Add setvtrgb to kbd-udeb.
    - Fix incorrect keymap sanity check in loadkeys_ckbcomp.diff.
    - debian/control: Depend on console-setup | console-setup-mini, since
      console-setup-mini also Depends on kbd now through console-setup-linux.
    - Added initramfs hook to have setfont/loadkeys available in initramfs.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Fri, 29 Apr 2016 23:50:28 -0400

kbd (1.15.5-1ubuntu4) wily; urgency=medium

  * debian/conffiles.d/config: Disable automatic virtual console screen blank
    - Don't blank screen on virtual consoles, because most systems running
      without X are headless and when they are connected to a monitor for
      debugging the screen should not be blank
    - LP: #869017

 -- Wesley Wiedenmeier <wesley.wiedenmeier@canonical.com>  Tue, 04 Aug 2015 18:32:04 +0000

kbd (1.15.5-1ubuntu3) wily; urgency=medium

  * Drop initramfs-tools dependency. It causes other providers of
    linux-initramfs-tool (like dracut) to become uninstallable, and is an
    ancient Ubuntu-ism which has never been forwarded, nor is it kbd's place
    to dictate whether or not you should have an initramfs.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 08 Sep 2015 12:50:53 +0200

kbd (1.15.5-1ubuntu2) vivid; urgency=medium

  * debian/control: Depend on console-setup | console-setup-mini, since
    console-setup-mini also Depends on kbd now through console-setup-linux.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Wed, 04 Mar 2015 09:45:39 -0500

kbd (1.15.5-1ubuntu1) raring; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Add setfont, kbd_mode, and loadkeys to initramfs for console-setup.
    - Use ckbcomp to get the keyboard layout if other data files are not
      available.
    - Depend on console-setup, and remove config file; we now only support
      systems using console-setup and so it no longer serves a purpose. The
      removed config file for console-screen has changed names from
      /etc/init.d/console-screen.kbd.sh to /etc/init.d/kbd.
    - Change loadkeys to find any console not in raw mode when invoked
      without an explicit console parameter, in case the foreground console
      is in raw mode.
    - Simplify maintainer scripts for conffile removal, using new features
      in debhelper 8.1.0.
    - Add setvtrgb to kbd-udeb.
  * Fix incorrect keymap sanity check in loadkeys_ckbcomp.diff.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 18 Feb 2013 13:25:55 +0000
