=== debian/watch ===
version=3
http://ftp.altlinux.org/pub/people/legion/kbd/kbd-([0-9.]+)\.tar\.xz
