## kbd 2.3.0

=== debian/changelog ===
kbd (2.3.0-3) unstable; urgency=medium

  * Team upload.
  * Revert "debian/rules: avoid shipping libtool scripts in udeb"
  * Disable libkeymap (Closes: #969965)

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 11 Oct 2020 12:13:12 +0200

kbd (2.3.0-2) unstable; urgency=medium

  * Team upload.
  * debian/rules: clean all udeb built files
  * debian/rules: avoid shipping libtool scripts in udeb (Closes: #969965)
  * Support the noudeb build profile

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 29 Sep 2020 21:20:45 +0200

kbd (2.3.0-1) unstable; urgency=medium

  * Team upload.
  * debian/watch: switch to github url
  * New upstream release.
  * Revert "Cherry-pick const fixup from upstream"
  * Revert "Cherry-pick upstream format-string fix"
  * Revert "Cherry-pick upstream fix for CFLAGS"
  * Massage remaining debian/patches to apply again
  * Build libkfont for udeb (needed by loadkeys)
  * Cherry-pick no install libtswrap internal library

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 29 Sep 2020 19:25:51 +0200

kbd (2.2.0-1) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/changelog: Remove trailing whitespaces

  [ Andreas Henriksson ]
  * debian/gbp.conf: upstream tags now have v prefix
  * New upstream release.
    - commit 12c4be5d fixes build with gcc-10 (Closes: #957398)
  * Fix d/p/Change-misleading....-XLATE-mode.patch to apply
  * Refresh remaining patches
  * Cherry-pick const fixup from upstream
  * Use --enable-libkeymap configure flag
  * Build libcommon/libkbdfile as needed by libkeymap
  * Cherry-pick upstream fix for CFLAGS
  * Cherry-pick upstream format-string fix
  * Avoid shipping any libtool files
  * Drop obsolete upgrade maintscript code
  * debian/gbp.conf: Remove build-area setting

  lintian-brush fixes:
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Fix day-of-week for changelog entry 0.91-13.

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 21 Aug 2020 13:52:04 +0200

kbd (2.0.4-4) unstable; urgency=medium

  * Team upload.
  * Use dpkg/architecture.mk instead of manually setting DEB_* variables
  * Stop creating open (-> openvt) compatibility symlink (Closes: #732796)
  * Bump Standards-Version to 4.1.5

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 28 Jul 2018 17:58:59 +0200

kbd (2.0.4-3) unstable; urgency=medium

  * Team upload.
  * debian/control: Update Vcs-* fields to point at salsa.debian.org

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 30 May 2018 19:22:04 +0200
