=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/kbd-$1\.tar\.gz/ \
  https://github.com/legionus/kbd/tags .*/v?(\d\S+)\.tar\.gz
