## kbd 2.5.1

=== debian/changelog ===
kbd (2.5.1-1ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Add setfont, kbd_mode, and loadkeys to initramfs for console-setup.
    - Added initramfs hook to have setfont/loadkeys available in initramfs.
    - Use ckbcomp to get the keyboard layout if other data files are not
      available.
    - Change loadkeys to find any console not in raw mode when invoked
      without an explicit console parameter, in case the foreground console
      is in raw mode.
    - Add setvtrgb to kbd-udeb.
    - Fix incorrect keymap sanity check in loadkeys_ckbcomp.diff.
    - debian/control: Depend on console-setup | console-setup-mini, since
      console-setup-mini also Depends on kbd now through console-setup-linux.
    - debian/patches/loadkeys_find_usable_console.diff: fix wrong type
      argument to ioctl(..., KDGKBMODE), which causes consoles to not be
      correctly detected on 64-bit archs.  LP: #1621824.

  * Removed obsolete patches/changes:
    -  d/p/fix_use_after_free.patch to clean up a use-after-free of
       pipe_cmd, now merged upstream.

  * New upstream release drops deprecated ioctls removed in Linux v5.12.
    LP: #1996619.

 -- dann frazier <dannf@ubuntu.com>  Tue, 15 Nov 2022 17:21:19 -0700

kbd (2.5.1-1) unstable; urgency=medium

  * Team upload.

  [ Andreas Henriksson ]
  * New upstream release.
  * Unfuzz debian/patches/Miscellaneous-manpage-corrections-and-additions.patch
  * Unfuzz debian/patches/Check-for-X-in-kbd_mode.patch
  * Revert "Cherry-pick no install libtswrap internal library"
  * Let `gbp pq <import|export>` refresh patches
  * Bump debhelper from old 10 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * debian/copyright: Update paths of moved files

  [ nick black ]
  * refer to deallocvt(8), not disalloc(8) (Closes: #989525)

  [ Osamu Aoki ]
  * update d/control for console-setup (Closes: #998086)

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 08 Oct 2022 21:24:51 +0200

kbd (2.3.0-3ubuntu4) jammy; urgency=high

  * No change rebuild for ppc64el baseline bump.

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 24 Mar 2022 13:06:40 +0100

kbd (2.3.0-3ubuntu3) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:13:36 +0200

kbd (2.3.0-3ubuntu2) hirsute; urgency=medium

  * No-change rebuild to drop the udeb package.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 22 Feb 2021 10:34:16 +0100

kbd (2.3.0-3ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Add setfont, kbd_mode, and loadkeys to initramfs for console-setup.
    - Added initramfs hook to have setfont/loadkeys available in initramfs.
    - Use ckbcomp to get the keyboard layout if other data files are not
      available.
    - Change loadkeys to find any console not in raw mode when invoked
      without an explicit console parameter, in case the foreground console
      is in raw mode.
    - Add setvtrgb to kbd-udeb.
    - Fix incorrect keymap sanity check in loadkeys_ckbcomp.diff.
    - debian/control: Depend on console-setup | console-setup-mini, since
      console-setup-mini also Depends on kbd now through console-setup-linux.
    - debian/patches/loadkeys_find_usable_console.diff: fix wrong type
      argument to ioctl(..., KDGKBMODE), which causes consoles to not be
      correctly detected on 64-bit archs.  LP: #1621824.

  * Added d/p/fix_use_after_free.patch to clean up a use-after-free of
    pipe_cmd

  * Removed obsolete patches/changes:
    - Simplify maintainer scripts for conffile removal, using new features
      in debhelper 8.1.0.
    - debian/patches/loadkeys_ckbcomp.diff: Include xmalloc.h to avoid
      implicit declaration causing crashes with newer gcc. LP: #1631504.
    - kbd_mode: Add -f option and don't perform dangerous mode switches
      without it. In the back-ported fix kbd_mode exits with success, even
      when the dangerous mode change is skipped, just prints an error, to not
      break old scripts. (LP: #520546)
    - Add d/p/fix-duplicate-progname.patch to fix duplicate progname linker
      error under gcc-10 (LP: #1891316)

 -- Dave Jones <dave.jones@canonical.com>  Sun, 11 Oct 2020 15:45:31 +0000

kbd (2.0.4-4ubuntu4) groovy; urgency=medium

  * Add d/p/fix-duplicate-progname.patch to fix duplicate progname linker
    error under gcc-10 (LP: #1891316)

 -- Dave Jones <dave.jones@canonical.com>  Wed, 12 Aug 2020 12:01:20 +0100

kbd (2.0.4-4ubuntu3) groovy; urgency=medium

  * No change rebuild against new CET ABI.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 10 Jul 2020 18:27:45 +0100

kbd (2.0.4-4ubuntu2) eoan; urgency=medium

  * kbd_mode: Add -f option and don't perform dangerous mode switches without
    it. In the back-ported fix kbd_mode exits with success, even when the
    dangerous mode change is skipped, just prints an error, to not break old
    scripts. (LP: #520546)

 -- Balint Reczey <rbalint@ubuntu.com>  Thu, 09 May 2019 17:22:51 +0200

kbd (2.0.4-4ubuntu1) disco; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Add setfont, kbd_mode, and loadkeys to initramfs for console-setup.
    - Use ckbcomp to get the keyboard layout if other data files are not
      available.
    - Change loadkeys to find any console not in raw mode when invoked
      without an explicit console parameter, in case the foreground console
      is in raw mode.
    - Simplify maintainer scripts for conffile removal, using new features
      in debhelper 8.1.0.
    - Add setvtrgb to kbd-udeb.
    - Fix incorrect keymap sanity check in loadkeys_ckbcomp.diff.
    - debian/control: Depend on console-setup | console-setup-mini, since
      console-setup-mini also Depends on kbd now through console-setup-linux.
    - Added initramfs hook to have setfont/loadkeys available in initramfs.

