=== debian/control ===
Source: kbd
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Console utilities maintainers <pkg-kbd-devel@lists.alioth.debian.org>
Uploaders: Michael Schutte <michi@debian.org>, Anton Zinoviev <zinoviev@debian.org>
Build-Depends: dpkg-dev (>= 1.16.1), debhelper-compat (= 13),
    linuxdoc-tools, gettext, flex, bison, pkg-config, check
Standards-Version: 4.1.5
Homepage: http://www.kbd-project.org/
Vcs-Git: https://salsa.debian.org/debian/kbd.git
Vcs-Browser: https://salsa.debian.org/debian/kbd

Package: kbd
Architecture: linux-any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, console-setup | console-setup-mini
Provides: console-utilities
Conflicts: console-utilities
Description: Linux console font and keytable utilities
 This package allows you to set up the Linux console, change the font,
 resize text mode virtual consoles and remap the keyboard.
 .
 You will probably want to install the “console-setup” package which
 sets up console font and keymap data files.

Package: kbd-udeb
Build-Profiles: <!noudeb>
Package-Type: udeb
Section: debian-installer
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Linux console keyboard setup utilities
