## kbd 2.6.4

=== debian/changelog ===
kbd (2.6.4-2ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 09:02:08 +0000

kbd (2.6.4-2ubuntu1) noble; urgency=medium

  * Merge with Debian unstable (LP: #2055065). Remaining changes:
    - Add setfont, kbd_mode, and loadkeys to initramfs for console-setup.
    - Use ckbcomp to get the keyboard layout if other data files are not
      available.
    - Change loadkeys to find any console not in raw mode when invoked
      without an explicit console parameter, in case the foreground console
      is in raw mode.
    - debian/control: Depend on console-setup | console-setup-mini, since
      console-setup-mini also Depends on kbd now through console-setup-linux.
    - Add setvtrgb to kbd-udeb (LP #730672).

  * Dropped unnecessary changelog entries
    - Added initramfs hook to have setfont/loadkeys available in initramfs.
      + This is basically a duplicate of:
        Add setfont, kbd_mode, and loadkeys to initramfs for console-setup.
    - debian/patches/loadkeys_find_usable_console.diff: fix wrong type
      argument to ioctl(..., KDGKBMODE), which causes consoles to not be
      correctly detected on 64-bit archs.  LP #1621824.
      + This was a bug in an Ubuntu-specific patch so irrelevant to our delta
        with Debian.
    - Fix incorrect keymap sanity check in loadkeys_ckbcomp.diff.
      + This was a bug in an Ubuntu-specific patch so irrelevant to our delta
        with Debian.

 -- Olivier Gayot <olivier.gayot@canonical.com>  Tue, 27 Feb 2024 10:52:03 +0100

kbd (2.6.4-2) unstable; urgency=medium

  * Team upload (to unstable).

  [ cacin ]
  * Use https in homepage url (Closes: #1060324)

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 12 Jan 2024 18:45:12 +0100

kbd (2.6.4-1) experimental; urgency=medium

  * Team upload.

  [ Andreas Henriksson ]
  * New upstream release.
  * Fix failure to build twice in a row (Closes: #1047644)

  [ cacin ]
  * move files to /usr for DEP17 (Closes: #1060074)

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 09 Jan 2024 11:51:40 +0100
