=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: dpkg-dev (>= 1.16.1), debhelper-compat (= 13),
     linuxdoc-tools, gettext, flex, bison, pkg-config, check
 Standards-Version: 4.1.5
-Homepage: http://www.kbd-project.org/
+Homepage: https://kbd-project.org/
 Vcs-Git: https://salsa.debian.org/debian/kbd.git
 Vcs-Browser: https://salsa.debian.org/debian/kbd
