## kbd 2.7.1

=== debian/changelog ===
kbd (2.7.1-2ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable (LP: #2098852).
    Remaining changes:
    - Add setfont, kbd_mode, and loadkeys to initramfs for console-setup.
    - Use ckbcomp to get the keyboard layout if other data files are not available.
    - Change loadkeys to find any console not in raw mode when invoked
      without an explicit console parameter, in case the foreground console
      is in raw mode.
    - debian/control: Depend on console-setup | console-setup-mini, since
      console-setup-mini also Depends on kbd now through console-setup-linux.
    - Add setvtrgb to kbd-udeb. (LP #730672)
    Dropped changes:
    - d/p/Add-missing-headers.patch: those headers are now added by Debian

 -- Florent 'Skia' Jacquet <florent.jacquet@canonical.com>  Wed, 19 Feb 2025 13:10:53 +0100

kbd (2.7.1-2) unstable; urgency=medium

  * Team upload.
  * Add debian/patches/ppc-keycode0-test.patch

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 20 Dec 2024 20:11:27 +0100

kbd (2.7.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Upload to unstable.

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 20 Dec 2024 11:40:06 +0100

kbd (2.7~rc1-1) experimental; urgency=medium

  * Team upload.
  * debian/watch: Mangle rc versions to ~rc
  * debian/gbp: Rename branches to /latest according to DEP14
  * New upstream release candidate.
  * Upload to experimental.
  * Update Misc...patch to apply
  * Revert "Cherry-pick patches from upstream fixing gcc14 FTBFS"
  * debian/kbd.docs: Drop outdated docs removed upstream
  * debian/copyright: Update renamed files

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 18 Nov 2024 20:08:52 +0100

kbd (2.6.4-3) unstable; urgency=medium

  * Team upload.
  * Cherry-pick patches from upstream fixing gcc14 FTBFS (Closes: #1075109)
  * Build-dep on pkgconf instead of pkg-config

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 24 Sep 2024 03:12:26 +0200

kbd (2.6.4-2ubuntu3) oracular; urgency=medium

  * d/p/Add-missing-headers.patch: add a patch to fix FTBFS with GCC 14
    (LP: #2081329).

 -- Zixing Liu <zixing.liu@canonical.com>  Thu, 19 Sep 2024 11:27:01 -0600
