=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 XSBC-Original-Maintainer: Console utilities maintainers <pkg-kbd-devel@lists.alioth.debian.org>
 Uploaders: Michael Schutte <michi@debian.org>, Anton Zinoviev <zinoviev@debian.org>
 Build-Depends: dpkg-dev (>= 1.16.1), debhelper-compat (= 13),
-    linuxdoc-tools, gettext, flex, bison, pkg-config, check
+    linuxdoc-tools, gettext, flex, bison, pkgconf, check
 Standards-Version: 4.1.5
 Homepage: https://kbd-project.org/
 Vcs-Git: https://salsa.debian.org/debian/kbd.git
