=== debian/rules ===
--- 
+++ 
@@ -13,12 +13,10 @@
 CONTRIB_BINARIES = codepage splitfont vcstime
 
 # we don’t want these in /usr/bin
-MOVE_TO_BIN = kbd_mode setfont fgconsole openvt chvt dumpkeys unicode_start loadkeys
-MOVE_TO_SBIN = kbdrate setvtrgb
-MOVE_TO_USR_SBIN = vcstime setvesablank
+MOVE_TO_USR_SBIN = vcstime setvesablank kbdrate setvtrgb
 
-DEB_BUILD_GNU_TYPE := $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
-DEB_HOST_GNU_TYPE  := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
+include /usr/share/dpkg/architecture.mk
+
 ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
 	CROSS := CC=$(DEB_HOST_GNU_TYPE)-gcc
 endif
@@ -32,19 +30,33 @@
 	cd src/ && rm -f $(EXTRA_BINARIES) *-udeb
 	cd contrib/ && rm -f $(CONTRIB_BINARIES)
 	rm -f po/gr.po			# replaced by el.po
+	# cleanup modified or leftover files from previous build
+	! test -p tests/testsuite.dir/at-job-fifo || rm -f tests/testsuite.dir/at-job-fifo
+	rm -f po/*.gmo po/stamp-po
 	# force rebuilding of generated code
 	rm -f src/libkeymap/analyze.h src/libkeymap/analyze.c
 
 override_dh_auto_configure:
-	dh_auto_configure -- --enable-nls --disable-vlock
+	dh_auto_configure -- \
+		--enable-nls \
+		--disable-libkeymap \
+		--disable-vlock
 
 override_dh_auto_build:
+ifeq (, $(filter noudeb, $(DEB_BUILD_PROFILES)))
 	$(MAKE) -C src/libkeymap CFLAGS="-Os -g" analyze.h
+	$(MAKE) -C src/libcommon CFLAGS="-Os -g"
+	$(MAKE) -C src/libkbdfile CFLAGS="-Os -g"
 	$(MAKE) -C src/libkeymap CFLAGS="-Os -g"
+	$(MAKE) -C src/libkfont CFLAGS="-Os -g"
 	$(MAKE) -C src/ CFLAGS="-Os -g" $(UDEB_BINARIES)
 	cd src/ && for ITEM in $(UDEB_BINARIES); do mv $$ITEM $$ITEM-udeb; done
 	$(MAKE) -C src/libkeymap clean
+	$(MAKE) -C src/libcommon clean
+	$(MAKE) -C src/libkbdfile clean
+	$(MAKE) -C src/libkfont clean
 	$(MAKE) -C src/ clean
+endif
 	$(MAKE)
 	$(MAKE) -C src/ $(EXTRA_BINARIES)
 	$(MAKE) $(CROSS) CFLAGS="-O2 -g" -C contrib/ $(CONTRIB_BINARIES)
@@ -59,13 +71,15 @@
 	install -m755 $(addprefix contrib/,$(CONTRIB_BINARIES)) $(KBD)/usr/bin/
 	install -m755 data/keymaps/i386/mk_modmap $(KBD)/usr/bin
 # move everything where it belongs
-	mv $(addprefix debian/kbd/usr/bin/,$(MOVE_TO_BIN)) $(KBD)/bin/
-	mv $(addprefix debian/kbd/usr/bin/,$(MOVE_TO_SBIN)) $(KBD)/sbin/
 	mv $(addprefix debian/kbd/usr/bin/,$(MOVE_TO_USR_SBIN)) $(KBD)/usr/sbin/
 # initramfs
 	install -m 755 debian/kbd.initramfs-hook $(KBD)/usr/share/initramfs-tools/hooks/kbd
 # prepare udeb
+ifeq (, $(filter noudeb, $(DEB_BUILD_PROFILES)))
 	for ITEM in $(UDEB_BINARIES); do install -m755 src/$$ITEM-udeb $(KBD_UDEB)/bin/$$ITEM; done
+endif
+# drop libtool files
+	find $(KBD) -name '*.la' -delete
 
 override_dh_installdocs:
 	dh_installdocs
