=== debian/watch ===
version=4
opts=filenamemangle=s%v?@ANY_VERSION@%@PACKAGE@-$1.tar.gz%,\
  uversionmangle=s/(.*)-((RC|rc|pre|dev|beta|alpha|a|b)\d*)$/$1~$2/ \
  https://github.com/legionus/kbd/tags .*/v?(\d\S+)@ARCHIVE_EXT@
