## kbd 2.9.0

=== debian/changelog ===
kbd (2.9.0-1) unstable; urgency=medium

  * Team upload.

  [ Andreas Henriksson ]
  * New upstream release.
  * Drop debian/patches/ppc-keycode0-test.patch, fixed upstream.
  * Drop debian/patches/Support-KT_DEAD2-diacritics.patch, fixed upstream.

  [ Michael Biebl ]
  * kbd-udeb: Move binaries to canonical location in /usr. (Closes: #1122352)

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 14 Dec 2025 10:38:41 +0100
