=== debian/rules ===
--- 
+++ 
@@ -6,14 +6,14 @@
 KBD_UDEB = $(TOPDIR)/debian/kbd-udeb
 
 # build these twice, once optimized for size (for kbd-udeb)
-UDEB_BINARIES = loadkeys kbd_mode setfont setvtrgb
+UDEB_BINARIES = loadkeys kbd_mode setfont
 
 # non-standard binaries to build
 EXTRA_BINARIES = screendump setlogcons setvesablank
 CONTRIB_BINARIES = codepage splitfont vcstime
 
 # we don’t want these in /usr/bin
-MOVE_TO_USR_SBIN = vcstime setvesablank kbdrate setvtrgb
+MOVE_TO_USR_SBIN = vcstime setvesablank kbdrate
 
 include /usr/share/dpkg/architecture.mk
 
@@ -72,11 +72,9 @@
 	install -m755 data/keymaps/i386/mk_modmap $(KBD)/usr/bin
 # move everything where it belongs
 	mv $(addprefix debian/kbd/usr/bin/,$(MOVE_TO_USR_SBIN)) $(KBD)/usr/sbin/
-# initramfs
-	install -m 755 debian/kbd.initramfs-hook $(KBD)/usr/share/initramfs-tools/hooks/kbd
 # prepare udeb
 ifeq (, $(filter noudeb, $(DEB_BUILD_PROFILES)))
-	for ITEM in $(UDEB_BINARIES); do install -m755 src/$$ITEM-udeb $(KBD_UDEB)/bin/$$ITEM; done
+	for ITEM in $(UDEB_BINARIES); do install -D -m755 src/$$ITEM-udeb $(KBD_UDEB)/usr/bin/$$ITEM; done
 endif
 # drop libtool files
 	find $(KBD) -name '*.la' -delete
